petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSpaceSetFromOptions

sets parameters in a PetscSpace from the options database

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetFromOptions(PetscSpace sp)

Collective on sp

### Input Parameter

sp -the PetscSpace object to set options for

### Options Database

-petscspace_degree the approximation order of the space -

### See Also

PetscSpaceView()

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceSetFromOptions_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceSetFromOptions_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages